spring:
  application:
    name: eip-uc
  profiles:
    active: dev
  datasource:
    dynamic:
      datasource:
        master:
          username: root
          password: root
          driver-class-name: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://127.0.0.1:3306/hotent_test?useUnicode=true&characterEncoding=UTF-8&serverTimezone=Asia/Shanghai&zeroDateTimeBehavior=convertToNull&autoReconnect=true&failOverReadOnly=false&maxReconnects=10&allowMultiQueries=true

#          oracle 连接驱动
#          username: EIP7.3
#          password: EIP7.3
#          driver-class-name: oracle.jdbc.OracleDriver
#          url:  jdbc:oracle:thin:@192.168.1.222:1521:ORCL

#          pgsql 连接驱动
#          driver-class-name: org.postgresql.Driver
#          url: jdbc:postgresql://localhost:5432/7.2.2_dev

#          druid:
#            public-key: MFwwDQYJKoZIhvcNAQEBBQADSwAwSAJBAIobgl5Uq9fEW2V6dLXqWJKDUZGAA3CCVasj1Yxge3STiWZ1plhxBUQgNgyRYeEUrUHzYPozfm0kL/zLlHMzcnUCAwEAAQ==
#            wall:
#              #开启druid允许执行多条SQL
#              multiStatementAllow: true
  redis:
    database: 6
    host: 192.168.1.211
    port: 6379
    password:
  activemq:
    broker-url: tcp://192.168.1.100:61616
    user:
    password:
  kafka:
    bootstrap-servers: 127.0.0.1:9092
  rocketmq:
    namesrvAddr: 192.168.1.31:9876

server:
  port: 8089

jms:
  enable: true
  uc: true
# 是否解决跨域问题
cors:
  enable: true

# 单服务部署时可以关闭redis，此时使用caffeine来缓存
redis:
  enable: false
  caffeine:
    enabled: true # 是否使用二级缓存  前提redis 需要开启

# 生产环境需要设置为true 关闭在线接口文档
swagger:
  enable: false

# 分布式事务
seata:
  enabled: false



xxl:
  job:
    enabled: false #如果使用xxl则不使用quartz
    admin:
      addresses: http://192.168.1.100:8120/xxl-job-admin
    executor:
      port: 9994
